use camino::Utf8PathBuf;
use clap::Parser;
use log::LevelFilter;


#[derive(Debug, Parser)]
pub struct CliArgs {
    #[arg(long, short, default_value="./a.out")]
    pub output: Utf8PathBuf,
    #[arg(long, short)]
    pub debug: bool,
    pub input: Vec<Utf8PathBuf>,
}


impl CliArgs {
    pub fn get_logger_filter(&self) -> LevelFilter {
        if self.debug {
            LevelFilter::Debug
        } else {
            LevelFilter::Info
        }
    }
}
