use std::fmt::Display;

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub struct Loc {
    pub file: camino::Utf8PathBuf,
    pub line: usize,
    pub col: usize,
}

impl Loc {
    pub fn new<P: Into<camino::Utf8PathBuf>>(file: P) -> Self {
        Self {
            file: file.into(),
            line: 1,
            col: 1
        }
    }
}


impl Display for Loc {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "{}:{}:{}", self.file, self.line, self.col)?;
        Ok(())
    }
}
